# Uses of Interface
org.eclipse.ui.texteditor.quickdiff.IQuickDiffReferenceProvider

Packages that use IQuickDiffReferenceProvider
Package
Description
org.eclipse.ui.texteditor.quickdiff
Provides interfaces to for the `org.eclipse.ui.editors.quickDiffReferenceProvider` extension point and adds an action to enable quick diff display for an editor.

## Uses of IQuickDiffReferenceProvider in org.eclipse.ui.texteditor.quickdiff

Methods in org.eclipse.ui.texteditor.quickdiff that return IQuickDiffReferenceProvider
Modifier and Type
Method
Description
`IQuickDiffReferenceProvider`
ReferenceProviderDescriptor.`createProvider()`
Creates a reference provider as described in the extension's xml.
`IQuickDiffReferenceProvider`
QuickDiff.`getReferenceProviderOrDefault(ITextEditor editor, String id)`
Returns the quick diff reference provider registered under `id`, or the default reference provider.